Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226135 - Merge Review: memtest86+
Summary: Merge Review: memtest86+
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:39 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-15 16:59:01 UTC
ruben: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:39:51 UTC
Fedora Merge Review: memtest86+

http://cvs.fedora.redhat.com/viewcvs/devel/memtest86+/
Initial Owner: wtogami@redhat.com

Comment 1 Ruben Kerkhof 2007-02-03 21:22:03 UTC
Hi Warren,

Review for release 4.1:
* RPM name is OK
* Source memtest86+-1.65.tar.gz is the same as upstream
* Builds fine in mock
* File list looks OK

Needs work:
* BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot)
* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)
* Spec file: some paths are not replaced with RPM macros
  (wiki: QAChecklist item 7)
* The package should contain the text of the license
  (wiki: Packaging/ReviewGuidelines)


Notes:
* Please use {?dist} in Release tag
* Is the Obsoletes: memtest86 still necessary?

Rpmlint is not silent:

Source RPM:
W: memtest86+ strange-permission new-memtest-pkg 0775
W: memtest86+ strange-permission memtest-setup 0775
W: memtest86+ unversioned-explicit-obsoletes memtest86
W: memtest86+ macro-in-%changelog version

rpmlint of memtest86+:
E: memtest86+ obsolete-not-provided memtest86
E: memtest86+ no-binary
W: memtest86+ wrong-file-end-of-line-encoding /usr/share/doc/memtest86+-1.65/README


Comment 2 Warren Togami 2007-02-03 22:44:11 UTC
> Needs work:
> * BuildRoot should be
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot)

OK

> * Missing SMP flags. If it doesn't build with it, please add a comment
>   (wiki: PackagingGuidelines#parallelmake)

OK, comment indicates that it isn't necessary.

> * Spec file: some paths are not replaced with RPM macros
>  (wiki: QAChecklist item 7)

Nothing remaining has a standardized macro available.

> * The package should contain the text of the license
>  (wiki: Packaging/ReviewGuidelines)

- MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.

(does not apply)

>Notes:
>* Please use {?dist} in Release tag
DONE
>* Is the Obsoletes: memtest86 still necessary?
Not really, removed

> rpmlint of memtest86+:
>E: memtest86+ no-binary
rpmlint is just confused by this strange package.
> W: memtest86+ wrong-file-end-of-line-encoding
/usr/share/doc/memtest86+-1.65/README
What?!

(Assigning back to reviewer)

Comment 3 Ruben Kerkhof 2007-02-03 23:03:23 UTC
> Nothing remaining has a standardized macro available.

Only the /usr/include in BuildRequires

> /usr/share/doc/memtest86+-1.65/README
> What?!

[ruben@odin memtest86+-1.65]$ file README
README: ASCII English text, with CRLF line terminators

[ruben@odin memtest86+-1.65]$ hexdump -C README | tail -3
000089b0  6d 74 65 73 74 38 36 2b  20 76 31 2e 31 31 29 2e  |mtest86+ v1.11).|
000089c0  0d 0a                                             |..|
000089c2

0d 0a, that's CRLF on the last line. Nevermind, this is nitpicking

This package is APPROVED.

Comment 4 Warren Togami 2007-02-04 02:53:19 UTC
Ah thanks.  I fixed the includedir macro.

Comment 5 David Bentley 2007-03-31 14:30:36 UTC
I assume the reason for not having it available at boot on F7 test 3 is that
this package is still undergoing review.

Comment 6 Warren Togami 2007-04-02 00:53:18 UTC
No.  Merge Review is only a qualify improvement sweep.  You can install
memtest86+ after install, or you can use it from the initial menu when booting
the installer.

Comment 7 David Bentley 2007-04-03 19:38:49 UTC
In F7 test 3 you need to press ESC then ENTER to get to the boot promt 
(no cursor)then either F1 - F5 to get the various text help screens and on
typing the usual memtest86 you get could not find kernel image: memtest86


Note You need to log in before you can comment on or make changes to this bug.